## sphinx-mdinclude 0.5.3

=== requirements.txt ===
docutils==0.17.1; python_version < "3.8"
docutils==0.19; python_version >= "3.8"
mistune==2.0.4

=== debian/changelog ===
sphinx-mdinclude (0.5.3-1) unstable; urgency=medium

  * Initial upload (closes: #1057870)

 -- Julian Gilbey <jdg@debian.org>  Wed, 10 Apr 2024 05:12:19 +0100

=== debian/control ===
Source: sphinx-mdinclude
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>
Section: python
Priority: optional
Standards-Version: 4.6.2
Homepage: https://github.com/omnilib/sphinx-mdinclude
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               flit,
               pybuild-plugin-pyproject,
               python3-all,
               python3-doc <!nodoc>,
               python3-docutils,
               python3-mistune,
               python3-pygments,
               python3-pytest <!nocheck>,
               python3-sphinx
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-mdinclude.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-mdinclude
Rules-Requires-Root: no
Description: Sphinx extension for including or writing pages in Markdown
 This is a Sphinx extension that enables including Markdown documents
 from within reStructuredText. It provides the `.. mdinclude::` directive,
 to automatically convert the content of Markdown documents to
 reStructuredText format.

Package: python3-sphinx-mdinclude
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: ${source:Synopsis} (Python 3)
 ${source:Extended-Description}
 .
 This package provides the Python library.

Package: python-sphinx-mdinclude-doc
Architecture: all
Section: doc
Depends: fonts-font-awesome,
         libjs-mathjax,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: python3-sphinxemoji
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package contains HTML documentation.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export PYBUILD_NAME = sphinx-mdinclude
export PYBUILD_PYTEST = 1

%:
	dh $@ --with=sphinxdoc --buildsystem=pybuild

ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build:
	export PYTHONPATH=$$(pybuild --print build_dir | grep "^$$(py3versions -d)" | sed -e 's/^.*: //'); \
	    sphinx-build -W -b html docs docs/_build/html
	cp docs/example.md docs/_build/html/example.md.txt
	perl -i -pe 's%<script async="async" src="https://cdn.jsdelivr.net/npm/mathjax\@3/es5/tex-mml-chtml.js">%<script type="text/javascript" src="file:///usr/share/javascript/mathjax/MathJax.js?config=TeX-MML-AM_CHTML">%' docs/_build/html/example.html
endif

execute_after_dh_python3:
	rm -rf debian/python3-sphinx-mdinclude/usr/lib/python3/dist-packages/sphinx_mdinclude/tests

override_dh_installdocs:
	dh_installdocs -ppython-sphinx-mdinclude-doc --doc-main-package=python3-sphinx-mdinclude
	dh_installdocs --remaining-packages

override_dh_installexamples:
	dh_installexamples -ppython-sphinx-mdinclude-doc --doc-main-package=python3-sphinx-mdinclude
	dh_installexamples --remaining-packages

override_dh_compress:
	dh_compress -ppython-sphinx-mdinclude-doc -X.html
	dh_compress --remaining-packages

execute_after_dh_auto_clean:
	rm -rf docs/_build

## sphinx-mdinclude 0.6.0

=== debian/changelog ===
sphinx-mdinclude (0.6.0-1) unstable; urgency=medium

  * New upstream version
  * Update patches and include missing dependency
  * Fix suggests in d/control

 -- Julian Gilbey <jdg@debian.org>  Wed, 08 May 2024 20:06:30 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julian Gilbey <jdg@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/omnilib/sphinx-mdinclude
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
@@ -29,6 +29,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends}
+Suggests: python-sphinx-mdinclude-doc
 Description: ${source:Synopsis} (Python 3)
  ${source:Extended-Description}
  .
@@ -41,7 +42,7 @@
          libjs-mathjax,
          ${misc:Depends},
          ${sphinxdoc:Depends}
-Suggests: python3-sphinxemoji
+Suggests: python3-sphinx-mdinclude
 Description: ${source:Synopsis} (documentation)
  ${source:Extended-Description}
  .

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 %:
 	dh $@ --with=sphinxdoc --buildsystem=pybuild
 
-ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 execute_after_dh_auto_build:
 	export PYTHONPATH=$$(pybuild --print build_dir | grep "^$$(py3versions -d)" | sed -e 's/^.*: //'); \
 	    sphinx-build -W -b html docs docs/_build/html

## sphinx-mdinclude 0.6.2

=== debian/changelog ===
sphinx-mdinclude (0.6.2-2) unstable; urgency=medium

  * Handle newer sphinx version 8.x (closes: #1090306)

 -- Julian Gilbey <jdg@debian.org>  Thu, 26 Dec 2024 18:01:26 +0000

sphinx-mdinclude (0.6.2-1) unstable; urgency=medium

  [ Julian Gilbey ]
  * New upstream version
  * Add Built-Using field to -doc package

  [ Alexandre Detiste ]
  * Apply Multi-Arch hint

 -- Julian Gilbey <jdg@debian.org>  Wed, 20 Nov 2024 19:51:25 +0000

=== debian/control ===
--- 
+++ 
@@ -37,12 +37,15 @@
 
 Package: python-sphinx-mdinclude-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: fonts-font-awesome,
          libjs-mathjax,
+         python3-doc,
          ${misc:Depends},
          ${sphinxdoc:Depends}
 Suggests: python3-sphinx-mdinclude
+Built-Using: ${sphinxdoc:Built-Using}
 Description: ${source:Synopsis} (documentation)
  ${source:Extended-Description}
  .

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	export PYTHONPATH=$$(pybuild --print build_dir | grep "^$$(py3versions -d)" | sed -e 's/^.*: //'); \
 	    sphinx-build -W -b html docs docs/_build/html
 	cp docs/example.md docs/_build/html/example.md.txt
-	perl -i -pe 's%<script async="async" src="https://cdn.jsdelivr.net/npm/mathjax\@3/es5/tex-mml-chtml.js">%<script type="text/javascript" src="file:///usr/share/javascript/mathjax/MathJax.js?config=TeX-MML-AM_CHTML">%' docs/_build/html/example.html
+	perl -i -pe 's%<script async="async" src="https://cdn.jsdelivr.net/npm/mathjax\@3/es5/tex-mml-chtml.js">%<script type="text/javascript" src="file:///usr/share/javascript/mathjax/MathJax.js?config=TeX-MML-AM_CHTML">%' docs/_build/html/index.html docs/_build/html/example.html
 endif
 
 execute_after_dh_python3:

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
    https://api.github.com/repos/omnilib/sphinx-mdinclude/tags?per_page=100 \
    https://api.github.com/repos/omnilib/sphinx-mdinclude/tarball/refs/tags/@ANY_VERSION@
